<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
 
class Celebration_25_years extends NA_Controller
{
    function __construct()
    {
        parent::__construct();
 
        // Do a integrity check
        $this->load->model('integrity');
    }

    // Main page
    public function index()
    {
        $this->init_page(lang('25_year_celebration_install'), 'celebration_25_years');
        // if (!install_needed()) { redirect('login'); }

        $this->load->view('celebration_25_years', $this->data);

        // Load needed modules
        $this->load->helper('timezone_helper');
        $this->load->helper('cmdsubsys_helper');

        // Get all languages
        $languages = array();
        $path = "/var/www/html/nagiosna/application/language";
        $results = scandir($path);
        foreach ($results as $r) {
            if ($r === '.' || $r === '..' || $r === '.svn') { continue; }
            if (is_dir($path . '/' . $r)) {
                $languages[] = $r;
            }
        }
        $this->data['languages'] = $languages;

        // If they clicked the finish button
        if ($this->input->post('finish')) {
            if (!$this->ion_auth->logged_in()){
                redirect('login'); // make them log in
            } else {
                redirect('');
            }
        }
    }
}
